| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- d
- i
- m
- n
- p
- s
- t
- u
- x

### - _ -

- __CMSIS_GENERIC : arm_math.h
- __HSI : system_ARMCM0.c , system_ARMCM4.c , system_ARMCM3.c
- __PACKq7 : arm_math.h
- __SIMD32 : arm_math.h
- __SIMD64 : arm_math.h
- __SYSTEM_CLOCK : system_ARMCM0.c , system_ARMCM3.c , system_ARMCM4.c
- __XTAL : system_ARMCM4.c , system_ARMCM3.c , system_ARMCM0.c
- _SIMD32_OFFSET : arm_math.h

### - a -

- ALIGN4 : arm_math.h

### - b -

- BLOCK_SIZE : arm_fir_example_f32.c
- BLOCKSIZE : arm_signal_converge_example_f32.c , arm_graphic_equalizer_example_q31.c

### - d -

- DELTA : arm_convolution_example_f32.c , arm_dotproduct_example_f32.c , arm_variance_example_f32.c , arm_sin_cos_example_f32.c
- DELTA_COEFF : arm_signal_converge_example_f32.c
- DELTA_ERROR : arm_signal_converge_example_f32.c
- DELTA_Q15 : arm_math.h
- DELTA_Q31 : arm_math.h

### - i -

- INDEX_MASK : arm_math.h
- INPUT_SPACING : arm_math.h

### - m -

- MAX_BLOCKSIZE : arm_convolution_example_f32.c , arm_dotproduct_example_f32.c , arm_variance_example_f32.c , arm_sin_cos_example_f32.c
- MU : arm_signal_converge_example_f32.c

### - n -

- NUM_TAPS : arm_fir_example_f32.c
- NUMBLOCKS : arm_graphic_equalizer_example_q31.c
- NUMFRAMES : arm_signal_converge_example_f32.c
- NUMSTAGES : arm_graphic_equalizer_example_q31.c
- NUMSTUDENTS : arm_class_marks_example_f32.c
- NUMSUBJECTS : arm_class_marks_example_f32.c
- NUMTAPS : arm_signal_converge_example_f32.c

### - p -

- PI : arm_math.h

### - s -

- SNR_THRESHOLD : arm_convolution_example_f32.c , arm_linear_interp_example_f32.c , arm_matrix_example_f32.c
- SNR_THRESHOLD_F32 : arm_fir_example_f32.c , arm_graphic_equalizer_example_q31.c

### - t -

- TABLE_SIZE : arm_math.h
- TABLE_SPACING_Q15 : arm_math.h
- TABLE_SPACING_Q31 : arm_math.h
- TEST_LENGTH_SAMPLES : arm_linear_interp_example_f32.c , arm_class_marks_example_f32.c , arm_fft_bin_example_f32.c , arm_signal_converge_example_f32.c , arm_fir_example_f32.c
- TESTLENGTH : arm_graphic_equalizer_example_q31.c

### - u -

- USE_STATIC_INIT : arm_class_marks_example_f32.c

### - x -

- XSPACING : arm_linear_interp_example_f32.c